PETSc version 3.15.5
Fix/Edit manual page

# PCGetDM

Gets the DM that may be used by some preconditioners

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCGetDM(PC pc,DM *dm)

Not Collective

### Input Parameter

| pc | - the preconditioner context

### Output Parameter

| dm | - the dm

### See Also

PCSetDM(), KSPSetDM(), KSPGetDM()

### Level

intermediate

### Location

src/ksp/pc/interface/pcset.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages